WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] [Plugin: Robots Meta] Error message at the dashboard (5 posts)

  1. DieterWelzel
    Member
    Posted 5 years ago #

    Hi,
    great SEO-Plugin. It works well with my WP 2.7 blog, but at the dashboard there appears this error message in the box of Yoast - Tweaking Websites:
    "Warning: array_slice() expects parameter 1 to be array, null given in /customers/webseiten-infos.de/webseiten-infos.de/httpd.www/wp-content/plugins/robots-meta/yoast-posts.php on line 43"

    I´m not experienced in php so I can´t solve this by my own.

    Any hints would be great.

    Thanks.

    Best regards
    Dieter

  2. sebari
    Member
    Posted 5 years ago #

    Just add a "2" after "feed" in the file: yoast-posts.php in the plugin directory of your yoast plugin (e.g. meta-robot or Sociable or breadcrumb or ...).
    Example:

    Original:
    $rss = fetch_rss('http://feeds.feedburner.com/joostdevalk');

    After correction:
    $rss = fetch_rss('http://feeds2.feedburner.com/joostdevalk');

    That should fix the error at the dashboard (at least for me).

  3. DieterWelzel
    Member
    Posted 5 years ago #

    Thanks a lot!
    That fixed it!

  4. MikeCaine
    Member
    Posted 5 years ago #

    Is there any way of deleting the Yoast block from my dashboard?

  5. Joost de Valk
    Member
    Posted 5 years ago #

    Deleting it is as simpl as clicking screen options and removing the checkbox before the feed.

Topic Closed

This topic has been closed to new replies.

About this Topic